### Method

# Gtk.GestureStylus.get_axes

#### Declaration [src]

    gboolean
    gtk_gesture_stylus_get_axes (
      GtkGestureStylus* gesture,
      GdkAxisUse* axes,
      double** values
    )

#### Description [src]

Returns the current values for the requested `axes`.

This function must be called from the handler of one of the `GtkGestureStylus::down`, `GtkGestureStylus::motion`, `GtkGestureStylus::up` or `GtkGestureStylus::proximity` signals.

#### Parameters

`axes` | An array of `GdkAxisUse`
| array of requested axes, terminated with `GDK_AXIS_IGNORE`
| Ownership is not transferred to the callee
`values` | An array of `double*`
| return location for the axis values
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE` if there is a current value for the axes